Bug 11058 - 'net time' segfaults
'net time' segfaults
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.1.15
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-16 08:57 UTC by Andreas Schneider
Modified: 2015-01-29 20:10 UTC (History)
2 users (show)

See Also:


Attachments
v4-2-test patch (3.77 KB, patch)
2015-01-19 13:00 UTC, Andreas Schneider
obnox: review+
Details
v4-1-test patch (3.77 KB, patch)
2015-01-19 13:01 UTC, Andreas Schneider
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-01-16 08:57:39 UTC
Program received signal SIGSEGV, Segmentation fault.
__strchr_sse42 () at ../sysdeps/x86_64/multiarch/strchr.S:136
136		pcmpistri	$0x2, (%r8), %xmm1
(gdb) bt
#0  __strchr_sse42 () at ../sysdeps/x86_64/multiarch/strchr.S:136
#1  0x00007f280de18e08 in cli_connect_nb_send (mem_ctx=mem_ctx@entry=0x7f2810a6bbf0, ev=ev@entry=0x7f2810a6bbf0, host=host@entry=0x0, dest_ss=dest_ss@entry=0x0, 
    port=port@entry=0, name_type=name_type@entry=32, myname=myname@entry=0x7f2810a67f80 "WURST", signing_state=signing_state@entry=-1, flags=flags@entry=0)
    at ../source3/libsmb/cliconnect.c:3003
#2  0x00007f280de1bdf4 in cli_connect_nb (host=host@entry=0x0, dest_ss=dest_ss@entry=0x0, port=port@entry=0, name_type=name_type@entry=32, 
    myname=0x7f2810a67f80 "WURST", signing_state=signing_state@entry=-1, flags=flags@entry=0, pcli=pcli@entry=0x7fff3313a9c8) at ../source3/libsmb/cliconnect.c:3072
#3  0x00007f28106e96fb in cli_servertime (host=0x0, dest_ss=0x0, zone=zone@entry=0x0) at ../source3/utils/net_time.c:36
#4  0x00007f28106e9bed in net_time (c=0x7f2810a65190, argc=<optimized out>, argv=0x7f2810a67910) at ../source3/utils/net_time.c:238
#5  0x00007f28106b9aea in main (argc=2, argv=0x7fff3313b4b8) at ../source3/utils/net.c:960
Comment 1 Andreas Schneider 2015-01-19 13:00:59 UTC
Created attachment 10629 [details]
v4-2-test patch
Comment 2 Andreas Schneider 2015-01-19 13:01:48 UTC
Created attachment 10630 [details]
v4-1-test patch
Comment 3 Michael Adam 2015-01-19 20:18:57 UTC
Comment on attachment 10629 [details]
v4-2-test patch

ACK
Comment 4 Michael Adam 2015-01-19 20:34:58 UTC
Comment on attachment 10630 [details]
v4-1-test patch

ACK
Comment 5 Michael Adam 2015-01-19 20:37:41 UTC
Applied, compiled and tested.

Karo, please pick for both releases.

Thanks - Michael
Comment 6 Karolin Seeger 2015-01-24 21:13:21 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 7 Karolin Seeger 2015-01-29 20:10:02 UTC
Pushed to both branches.
Closing out bug report.

Thanks!